Bug 297619 - Add "Close Other Views" to Split View operations
Summary: Add "Close Other Views" to Split View operations
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: application (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-06 19:41 UTC by Christoph Feck
Modified: 2013-02-22 21:55 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.11


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Feck 2012-04-06 19:41:31 UTC
Sometimes I split many views, then later decide to only work with one view. I have close any other view individually, which is tedious.
Comment 1 Dominik Haumann 2013-02-22 21:54:32 UTC
Git commit 1b8613ccbfa5789553dd5048fcdc54dee669e8c3 by Dominik Haumann.
Committed on 22/02/2013 at 22:52.
Pushed by dhaumann into branch 'master'.

add View > Split View > Close Inactive Views
FIXED-IN: 4.11

M  +18   -0    kate/app/kateviewmanager.cpp
M  +5    -1    kate/app/kateviewmanager.h
M  +3    -2    kate/data/kateui.rc

http://commits.kde.org/kate/1b8613ccbfa5789553dd5048fcdc54dee669e8c3
Comment 2 Dominik Haumann 2013-02-22 21:55:23 UTC
Thanks to Fabian Kosmale for the above patch.Thanks to Fabian Kosmale for the above patch.